Skip to main content
GET
/
v1
/
admin
/
settlements
/
metrics
Get settlement throughput and funnel metrics
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.keystoneos.xyz/v1/admin/settlements/metrics', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "period": "<string>",
  "throughput": {
    "finalized_count": 123,
    "rolled_back_count": 123,
    "average_time_to_finalize_seconds": 123
  },
  "funnel": {
    "instructed": 0,
    "compliance_cleared": 0,
    "assets_locked": 0,
    "finalized": 0,
    "rolled_back": 0,
    "timed_out": 0
  }
}

Authorizations

Authorization
string
header
required

Auth0 JWT access token. See Authentication for details.

Query Parameters

period
enum<string>
default:24h

Time period: 1h, 24h, 7d, or 30d

Available options:
1h,
24h,
7d,
30d

Response

Successful Response

Throughput and funnel statistics for a given time period.

period
string
required
throughput
MetricsThroughput · object
required

Throughput statistics for the given period.

funnel
MetricsFunnel · object
required

Funnel counts - how many settlements entered each state during the period.